public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-apache/libapreq2/
Date: Fri, 26 Aug 2022 10:03:24 +0000 (UTC)	[thread overview]
Message-ID: <1661508076.2bef9acebcab26b921d9a0c679b4ce2c162bab32.sam@gentoo> (raw)

commit:     2bef9acebcab26b921d9a0c679b4ce2c162bab32
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 26 09:26:26 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Aug 26 10:01:16 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2bef9ace

www-apache/libapreq2: add 2.17

Signed-off-by: Sam James <sam <AT> gentoo.org>

 www-apache/libapreq2/Manifest              |  1 +
 www-apache/libapreq2/libapreq2-2.17.ebuild | 80 ++++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/www-apache/libapreq2/Manifest b/www-apache/libapreq2/Manifest
index 6356c1bf4098..1c2e18c9b0ae 100644
--- a/www-apache/libapreq2/Manifest
+++ b/www-apache/libapreq2/Manifest
@@ -1 +1,2 @@
 DIST libapreq2-2.16.tar.gz 839264 BLAKE2B 6a79e0281bb24962775f6c2fcc906d07a2f7643f608871018a647a225329c45516f1afe12e27c432449765463b2a4e823a728051fa73938e97ddc828b94c4732 SHA512 aa9e751a3f0d6a9cb587aa1c5408e8d9a073560860d7f653776196fe3739516df16abe943c9cb0460cfb9b68a2d79ad651cfd5e4a30a2ca34d6dc3ced73f628c
+DIST libapreq2-2.17.tar.gz 849867 BLAKE2B d2fa15693c200925e4926f207f1e023cba59ac0bfe3af3a8ac12880020bb00625c7fa21478c6562f9995d5307151b865efb83b837f45213d73fc523a1a864899 SHA512 89b139b8673145d9e2d8fd77d36f878c519c1deb7f9b853cda2a15d34cbb619d1c5e784ba21553f23c2ef07803f07c75a83d96cd770f80e1b36283a4cbb88999

diff --git a/www-apache/libapreq2/libapreq2-2.17.ebuild b/www-apache/libapreq2/libapreq2-2.17.ebuild
new file mode 100644
index 000000000000..335b6354b7b6
--- /dev/null
+++ b/www-apache/libapreq2/libapreq2-2.17.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit apache-module perl-module
+
+DESCRIPTION="A library for manipulating client request data via the Apache API"
+HOMEPAGE="https://httpd.apache.org/apreq/"
+SRC_URI="mirror://apache/httpd/libapreq/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="2"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="perl test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	|| (
+		dev-libs/apr-util[openssl]
+		dev-libs/apr-util[nss]
+	)
+	perl? (
+		>=dev-perl/ExtUtils-XSBuilder-0.23
+		virtual/perl-version
+		>=www-apache/mod_perl-2
+	)
+	virtual/libcrypt:="
+DEPEND="
+	${RDEPEND}
+	test? ( dev-perl/Apache-Test )"
+BDEPEND="sys-apps/file"
+
+PATCHES=( "${FILESDIR}"/libapreq2-2.08-doc.patch )
+
+APACHE2_MOD_FILE="module/apache2/.libs/mod_apreq2.so"
+APACHE2_MOD_CONF="76_mod_apreq"
+APACHE2_MOD_DEFINE="APREQ"
+
+need_apache2
+
+pkg_setup() {
+	perl_set_version
+}
+
+src_prepare() {
+	default
+
+	sed -i -e "s/PERL \$PERL_OPTS/PERL/" acinclude.m4 aclocal.m4 configure || die
+}
+
+src_configure() {
+	econf \
+		--disable-static \
+		--with-apache2-apxs=${APXS} \
+		$(use_enable perl perl-glue)
+}
+
+src_install() {
+	APACHE_MODULESDIR="/usr/$(get_libdir)/apache2/modules"
+	apache-module_src_install
+
+	emake DESTDIR="${D}" INSTALLDIRS=vendor install
+	doman docs/man/man3/*.3
+
+	perl_delete_localpod
+
+	HTML_DOCS=( docs/html/. )
+	einstalldocs
+	dodoc INSTALL MANIFEST
+
+	local f
+	while IFS="" read -d $'\0' -r f ; do
+		if file "${f}" | grep -i " text"; then
+			sed -i -e "s:${ED}:/:g" "${f}" || die
+		fi
+	done < <(find "${ED}" -type f -not -name '*.so' -print0)
+
+	find "${ED}" -name '*.la' -delete || die
+}


             reply	other threads:[~2022-08-26 10:03 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-08-26 10:03 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-05-03 10:11 [gentoo-commits] repo/gentoo:master commit in: www-apache/libapreq2/ Sam James
2022-10-14  4:14 Arthur Zamarin
2022-10-14  4:14 Arthur Zamarin
2022-10-13 23:04 Sam James
2022-10-13 22:37 Sam James
2022-07-02 22:04 David Seifert
2022-04-17 19:17 Sam James
2021-05-17 21:00 Sergei Trofimovich
2021-05-17 13:45 Agostino Sarubbo
2021-05-17  3:19 Sam James
2021-05-17  3:03 Sam James
2021-05-16 12:53 Sam James
2021-05-16 12:45 Sam James
2021-05-01 18:07 Sam James
2021-03-25 13:41 Sam James
2021-02-25  8:36 Sergei Trofimovich
2020-12-14  8:09 Sam James
2020-12-10 21:41 Thomas Deutschmann
2020-12-05 17:09 Sam James
2020-11-17 23:02 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1661508076.2bef9acebcab26b921d9a0c679b4ce2c162bab32.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox